{% extends "header_footer_general.html" %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

</head>
<body>

    
        

    {% block content %}


    <section id="hero" class="d-flex">

        <div class="container-fluid" data-aos="fade-up" style="overflow-y:auto">
          <div class="row justify-content-center" >
            <div class=" col-lg-10 pt-3 pt-lg-0 order-2 order-lg-1 d-flex flex-column text-center" style="margin-top: -17%;">
             
                                
                    
                    <div class="row">
                        
                        
                        
                        <div class="col">
                            
                            
                        </div>
                            <div class="col-8">

                                <br>
                                <br>
                                <br>
                                <button onclick="add_select()" class="btn-get-started scrollto col-6" style="margin-top: 20%; font-size: 20px;">Add device</button>
                                
                                <br>
                                <br>
                                <form method="POST" class="form-inline" id="consumatori">
                                    
                                    
                                    <input id="contor" name="contor" value="0" style="display: none;">
                                    
                                    
                                    <button href="#" id="submit" style="display: none">Submit</button>
                                    
                                </form>
                                <button onclick="submit()" class="btn-get-started scrollto col-6" style=" font-size: 20px; display: none;" id="submit_devices">Submit</button>
                            
                        </div>
                        
                        <div class="col">
                            
                        </div>
                        
                    </div>
                    
                
                <br>
                <br>
                <div style="display: none;">


                    <h1>RESULT: </h1>
                    
                    {% for obj in result %}
                    {% print(obj[0], obj[1], obj[2], obj[3]) %}
                    <br>
                    
                    {% endfor %}
                    
                    <br>
                    
                    {{my_consumption}}
                    
                    <br>
                    
                    {{proba}}
                </div>
          </div>
        </div>
    
        </div>
    </section>
    
    
    
    <script>
        function submit()
        {
            var my_button = document.getElementById("submit");
            my_button.click();
        }
        contor = 0
        function show(name){
            //alert("clicked");
            var device = document.getElementsByName(name)[0];
            var measure = document.getElementsByName(name + " measure")[0];


            var devices_non_stop = ["refrigerator", "security camera", "phone"]

            var devices_with_days = ['clothes dryer', 'washing machine', 'iron', 'dishwasher', 'vacuum cleaner', 'electric car'];
            
            var devices_with_hours = ["television", "desktop", "laptop", "air conditioning", 'water heater', 'power plant', 'lights'];

            var devices_with_minutes = ['microwave oven', 'electric kettle', 'electric stove']
            
            var units = document.getElementsByName(name + " units")[0];

            if (devices_non_stop.includes(device.value))
            {
                units.style.display = "none";
                units.value = "24";
                measure.setAttribute("value", "non_stop");
            }
            if (devices_with_days.includes(device.value))
            {
                units.style.display = "initial";
                units.placeholder = "How many days per month";
                units.value = "";
                measure.setAttribute("value", "days");
            }
            if (devices_with_hours.includes(device.value))
            {
                units.style.display = "initial";
                units.placeholder = "How many hours per day";
                units.value = "";
                measure.setAttribute("value", "hours");
            }
            if (devices_with_minutes.includes(device.value))
            {
                units.style.display = "initial";
                units.placeholder = "How many minutes per day";
                units.value = "";
                measure.setAttribute("value", "minutes");
            }

            
        }
        function add_select(){

            var submit_devices = document.getElementById("submit_devices");
            submit_devices.style.display = "initial";
            
            
            contor += 1;
            
            var my_contor_input = document.getElementById("contor");
            my_contor_input.value = contor;
            
            console.log(contor);
            var myParent = document.getElementById("consumatori");
            
            //var linebreak = document.createElement("br");
            //myParent.appendChild(linebreak);
            
            //Create array of options to be added

            var array = 
            [      
                'phone', 
                'television', 
                'desktop', 
                'laptop', 
                'refrigerator', 
                "air conditioning", 
                'clothes dryer', 
                'washing machine', 
                'iron', 
                'dishwasher', 
                'microwave oven',
                'electric kettle', 
                'vacuum cleaner', 
                'water heater', 
                'lights', 
                'electric stove', 
                'power plant', 
                'electric car', 
                'security camera', 
            ];
            
            
            
            //Create and append select list
            var selectList = document.createElement("input");
            selectList.name = "device " + contor;
            selectList.setAttribute('list', "datalist");
            var parameter = "show_hours('" + selectList.name + "')";
            selectList.setAttribute("onchange", "show(this.name)");
            selectList.setAttribute("autocomplete", "off");
            selectList.setAttribute("style", "margin: 5px; text-align: center; font-size: 20px;");
            
            myParent.appendChild(selectList);
            
            
            //create a datalist
            if (contor == 1){
                var dataList = document.createElement("datalist");
                dataList.id = "datalist";
            
            
                myParent.appendChild(dataList);
            
                //Create and append the options
                for (var i = 0; i < array.length; i++) {
                    var option = document.createElement("option");
                    option.value = array[i];
                    option.text = array[i];
                    dataList.appendChild(option);
                }
            }


            //create input for number of devices
            
            var number_device = document.createElement("input");
            number_device.name = selectList.name + " number";
            number_device.placeholder = "Number of devices";
            number_device.setAttribute("style", "margin: 5px; text-align: center; font-size: 20px;");
            
            myParent.appendChild(number_device);
            
            //number of hours
            
            var number_of_units = document.createElement("input");
            number_of_units.name = selectList.name + " units";
            number_of_units.placeholder = "Hours per day";
            number_of_units.style.display = "compact";
            number_of_units.setAttribute("style", "margin: 5px; text-align: center; font-size: 20px;");
            myParent.appendChild(number_of_units);


            //input for measure
            var measure = document.createElement("input");
            measure.name = selectList.name + " measure";
            measure.setAttribute("value", "none");
            measure.style.display = "none";

            myParent.appendChild(measure);
            

            for(var i=0; i<=1; i++)
            {
                var linebreak = document.createElement("br");
                myParent.appendChild(linebreak);
            }
            
            
        }
    </script>



    



    {% endblock %}
    
    
</body>

</html>